:root {
  /* Light Theme */
  --primary-font: "Poppins", sans-serif;
  --primary-bg-color: #ffffff;
  --primary-text-color: #000000;
  --secondary-color: #575757;
  --btn-bg-color: #2196f3;
  --cta-hover-color: #167bce;
  --btn-bg-light: #eeeeee;

  /* Dark Theme */
  --dark-primary-bg-color: #222222;
  --dark-primary-text-color: #ffffff;
  --dark-secondary-color: #828282;
  --dark-btn-bg-color: #1e88e5;
  --dark-cta-hover-color: #0d5e8c;
  --dark-btn-bg-light: #eeeeee;
}

.dark-theme {
  --primary-bg-color: var(--dark-primary-bg-color);
  --primary-text-color: var(--dark-primary-text-color);
  --secondary-color: var(--dark-secondary-color);
  --btn-bg-color: var(--dark-btn-bg-color);
  --cta-hover-color: var(--dark-cta-hover-color);
  --btn-bg-light: var(--dark-btn-bg-light);
}

body {
  margin: 0;
  font-family: var(--primary-font, "Arial, sans-serif");
  background-color: var(--primary-bg-color);
  color: var(--primary-text-color);
}

a
{
  text-decoration: none;
}

.theme-btn {
  position: relative;
  left: 8.5rem;
}

h1,
h2,
h3,
p {
  margin: 0;
  cursor: default;
}

article,
footer,
.hero,
.logo-container,
.experience,
.cta,
.portfolio-skills,
.btn-bg,
.portfolio,
.skills {
  display: flex;
}

.hero,
.portfolio,
.skills {
  flex-direction: column;
}

.hero,
.btn-bg,
.portfolio,
.skills {
  align-items: center;
}

.hero,
.experience,
.wrapper {
  text-align: center;
}

article,
.hero,
.logo-container,
.portfolio,
.skills {
  gap: 1rem;
}

.hero-pic {
  width: 8rem;
  height: 8rem;
  border-radius: 50%;
  overflow: hidden;
  position: relative;
}

.inner-circle {
  content: "";
  position: absolute;
  top: 0.1rem; /* Adjust border thickness */
  left: 0.1rem;
  bottom: 0.1rem;
  right: 0.1rem;
  border-radius: 50%;
  border: 0.18rem solid var(--primary-bg-color); /* Define your border thickness and color */
  z-index: 1; /* Make sure it is above the image */
}

.hero-pic img,
.wrapper img {
  width: 100%;
}

.hero-pic img {
  height: 100%;
  object-fit: cover;
  object-position: top 0.4rem right -1.3rem;
  transform: scale(1.9);
}

.hero-info h1,
h2 {
  font-weight: 400;
}

article p,
.hero-info h2 {
  color: var(--secondary-color);
}

.hero-info h2 {
  font-size: 1rem;
  margin: 0 0 1rem 0;
}

footer,
.logo-container,
.experience,
.cta,
.portfolio-skills,
.btn-bg {
  justify-content: center;
}

.theme-btn,
.logo-container a,
.logo-container img {
  height: 1.5rem;
}

.experience {
  margin: auto;
  margin-top: 1.4rem;
  max-width: 20rem;
}

.experience b {
  font-weight: 500;
}

.experience h2 {
  width: 100%;
  font-weight: 300;
  font-size: 0.9rem;
}

.cta {
  margin-top: 1.2rem;
}

.cta,
.btn-bg {
  gap: 2rem;
}

.btn,
.btn-2,
.btn-bg {
  border-radius: 0.7rem;
  border: none;
}

.btn,
.btn-2,
.btn-bg,
.wrapper h3 {
  font-weight: 600;
}

.btn,
.btn-2,
.btn-bg,
.wrapper,
.project-wrapper {
  transition: transform 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275),
    background-color 0.3s ease, color 0.3s ease;
}

.download-btn:hover {
  background-color: var(--cta-hover-color);
}

.theme-btn,
.download-btn:hover,
.contact-btn:hover,
.btn-2:hover,
.wrapper img:hover {
  cursor: pointer;
}

.btn:hover,
.btn-2:hover,
.project-wrapper:hover,
.logo-container a:hover {
  transform: scale(0.98);
}

.btn:active,
.btn-2:active,
.project-wrapper:active,
.logo-container a:active {
  transform: scale(1);
}

.contact-btn:hover,
.download-btn {
  background-color: var(--btn-bg-color);
  color: white;
}

.contact-btn:hover {
  transition: background-color 0.3s ease, color 0.3s ease;
}

.btn-2:hover,
.active-btn {
  background-color: white;
}

.btn,
.btn-2 {
  height: 3rem;
}

.btn {
  width: 9rem;
}

.btn-2 {
  width: 8.5rem;
}

.download-btn {
  transition: background-color 0.3s ease;
}

.portfolio-skills {
  height: 4rem;
  margin-top: 1.5rem;
  position: relative;
}

.btn-bg,
.wrapper {
  width: 20rem;
}

article p,
.btn-bg {
  background-color: var(--btn-bg-light);
}

.hero,
.portfolio,
.skills {
  margin-top: 2rem;
}

.skills {
  display: none;
}

.wrapper img {
  border-radius: 1rem;
}

article,
.wrapper h3 {
  margin-bottom: 1.5rem;
}

article {
  flex-wrap: wrap;
}

article p {
  border-radius: 0.5rem;
  flex-grow: 20;
  padding: 1rem;
}

footer {
  margin: 3rem 0;
}

@media screen and (min-width: 900px) {
  .skills,
  .portfolio {
    flex-direction: row;
    width: 45rem;
  }
  .skills {
    margin: 2rem auto 0;
  }
  .portfolio {
    margin: 2rem auto;
    flex-wrap: wrap;
    justify-content: center;
  }
  .wrapper {
    width: calc(48%);
    flex: none;
  }
}

/* Projects*/
.card {
  position: relative;
  display: flex;
  flex-direction: column;
  background-image: linear-gradient(180deg, #03001C, #301E67);
  padding: 10px;
  border-radius: 6px;
  gap: 0.5rem;
  height: max-content;
}
.card_form1, .card_form2, .card_form3, .card_form4, .card_form5, .card_form6 {
  position: relative;
  width: 20em;
  height: 15em;
  border-radius: 4px;
  transition: 0.2s ease-in-out;
  overflow: hidden;
}
.card_form1 /* Project1*/
{
  background-image: url(assets/project_1.png);
  background-repeat: no-repeat;
  background-size: cover;
}
.card_form2 /* Project2*/
{
  background-image: url(assets/project_2.png);
  background-repeat: no-repeat;
  background-size: cover;
}

.card_form3 /* Project3*/
{
  background-image: url(assets/project_3.png);
  background-repeat: no-repeat;
  background-size: cover;
}
.card_form4 /* Project4*/
{
  background-image: url(assets/project_4.png);
  background-repeat: no-repeat;
  background-size: cover;
}
.card_form5 /* Project5*/
{
  background-image: url(assets/project_5.png);
  background-repeat: no-repeat;
  background-size: cover;
}
.card_form6 /* Project6*/
{
  background-image: url(assets/project_6.png);
  background-repeat: no-repeat;
  background-size: cover;
}
.card_form1 span, .card_form2 span, .card_form3 span, .card_form4 span, .card_form5 span, .card_form6 span {
  font-size: 1.5em;
  position: absolute;
  inset: 0;
  padding: 5px 10px;
  color: #fff;
  background-image: linear-gradient(
    to top,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0.7) 100%
  );
  opacity: 0;
  transition: all 0.2s ease-in-out;
}
.card:hover .card_form1 span, .card:hover .card_form2 span, .card:hover .card_form3 span, .card:hover .card_form4 span, .card:hover .card_form5 span, .card:hover .card_form6 span,
.card:hover .card_data span {
  opacity: 1;
}
.card_data {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.card_data span {
  color: #9147ff;
  display: flex;
  align-items: center;
  font-size: 0.9em;
  transition: 0.2s ease-in-out;
  opacity: 0;
  cursor: pointer;
}
.card_data span:hover {
  text-decoration: none;
}
.text {
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin-left: 0.5em;
  color: white;
}
.text_m {
  font-size: 0.9em;
}
.text_s {
  color: #9147ff;
  font-size: 0.6em;
}
.cube {
  width: max-content;
  height: 10px;
  transition: all 0.2s;
  transform-style: preserve-3d;
}
.card:hover .cube {
  transform: rotateX(90deg);
}
.side {
  width: max-content;
  height: 1em;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  font-weight: bold;
}
.top {
  transform: rotateX(-90deg) translate3d(0, 0, 0em);
}
.front {
  transform: translate3d(0, 0, 1em);
}

.hover_access
{
  color:white;
}

.hover_access:hover
{
  color:red;
}



.Download-button {
  display: flex;
  align-items: center;
  font-family: inherit;
  font-weight: 500;
  font-size: 17px;
  padding: 12px 20px;
  color: white;
  background: #301E67;
  border: none;
  box-shadow: 0 0.2em 1.5em -0.5em rgba(59, 48, 78, 0.527);
  letter-spacing: 0.05em;
  border-radius: 8px;
  cursor: pointer;
  position: relative;
}

.Download-button svg {
  margin-right: 8px;
  width: 25px;
}

.Download-button:hover {
  box-shadow: 0 0.5em 1.5em -0.5em rgba(88, 71, 116, 0.627);
}

.Download-button:active {
  box-shadow: 0 0.3em 1em -0.5em rgba(88, 71, 116, 0.627);
}

.Download-button::before {
  content: "";
  width: 4px;
  height: 40%;
  background-color: white;
  position: absolute;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  left: 0;
  transition: all 0.2s;
}

.Download-button::after {
  content: "";
  width: 4px;
  height: 40%;
  background-color: white;
  position: absolute;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  right: 0;
  transition: all 0.2s;
}

.Download-button:hover::before,
.Download-button:hover::after {
  height: 60%;
}

.logo-container img .icons-social-media {
  align-items: center;
  margin-top: 10px;
  padding: 5px;
  width: 32px;
  cursor: pointer !important;
  transition: 300ms all ease-in-out;
  position: relative;
}

.icons-social-media:hover {
  translate: -0px -10px;
}

#skype,
    #whatsapp,#gmail {
  transition: 300ms all ease-in-out;
  clip-path: circle(65%);
}

#skype:hover {
  background-color: #00aff0;
  border-radius: 10px;
}


#whatsapp:hover {
  background-color:  #25D366;
  border-radius: 10px;
}

#gmail:hover {
  background-color: #d44638 ;
}
